<?php
/*
  $Id: upgrade.php,v 1.5 2006/03/21 00:09:40 hpdl & Farhad zare Exp $

  FarsiCommerce, Open Source E-Commerce
  http://www.persianoc.com/
  http://www.oscommerce.com/

  Copyright (c) 2005-2006 FarsiCommerce

  Released under the GNU General Public License
*/
?>

<p class="pageTitle">ارتقا نسخه قبلی</p>

<p>اين برنامه ارتقا قادر است ساختار پايگاه داده <nobr>نسخه FarsiCommerce 1.0</nobr> را به ساختار پايگاه داده <nobr>FarsiCommerce 1.1</nobr> ارتقا دهد.</p>

<p>توصيه مي شود كه قبل از انجام مراحل ارتقا از پايگاه داده نسخه 1.0 خود يك فايل پشتيبان بگيريد.</p>

<form name="upgrade" action="upgrade.php?step=2" method="post">

<p><b>لطفا اطلاعات سرور پايگاه داده را وارد كنيد:</b></p>

<table width="95%" border="0" cellpadding="2" class="formPage">
  <tr>
    <td width="30%" valign="top">سرور پايگاه داده:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('DB_SERVER'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbHost');"><br>
      <div id="dbHostSD">نام ميزبان يا آدرس IP براي سرور پايگاه داده.</div>
      <div id="dbHost" class="longDescription">نام سرور پايگاه داده می تواند شامل نام ميزبان, مانند db1.myserver.com باشد, يا يك آدرس IP, به مانند 192.168.0.1 باشد.</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">نام كاربری:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('DB_SERVER_USERNAME'); ?>
      <img src="images/layout/help_icon.gif"  onClick="toggleBox('dbUser');"><br>
      <div id="dbUserSD">نام كاربری پايگاه داده</div>
      <div id="dbUser" class="longDescription">نام كاربری كه برای ارتباط با پايگاه داده استفاده می كنيد. كه می تواند به عنوان مثال 'mysql_10' باشد.<br><br>توجه: در اين مرحله از ارتقا شما بايد اجازه ايجاد كردن و حفظ را داشته باشيد.</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">كلمه عبور:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_password_field('DB_SERVER_PASSWORD'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbPass');"><br>
      <div id="dbPassSD">كلمه عبور پايگاه داده</div>
      <div id="dbPass" class="longDescription">كلمه عبوری كه به همراه نام كاربری بالا به كار می بريد, تا اجازه ورود به پايگاه داده را داشته باشيد.</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">نام پايگاه داده:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('DB_DATABASE'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbName');"><br>
      <div id="dbNameSD">نام پايگاه داده</div>
      <div id="dbName" class="longDescription">پايگاه داده ای كه از آن برای ذخيره اطلاعات استفاده می كنيد. به عنوان مثال يك نام پايگاه داده می تواند به صورت 'FarsiCommerce' باشد.</div>
    </td>
  </tr>
</table>

<?php // Admin Information form ?>
<p><b>اطلاعات ورود به بخش مديريت</b></p>
<table width="95%" border="0" cellpadding="2" class="formPage">
  <tr>
    <td width="30%" valign="top">پست الکترونیکی مدیر:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('ADMIN_EMAIL'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('adminemail');"><br>
      <div id="adminemailSD">پست الکترونیکی مدیر کل</div>
      <div id="adminemail" class="longDescription">شما از این آدرس پست الکترونیکی برای ورود به بخش مدیریت فروشگاه استفاده خواهید کرد. سعی کنید از آدرس پست الکترونیکی استفاده کنید که دائما آن را بررسی می‌کنید.</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">كلمه عبور مدير:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_password_field('ADMIN_PASS'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('adminpass');"><br>
      <div id="adminpassSD">کلمه عبور مدیر کل</div>
      <div id="adminpass" class="longDescription">كلمه عبوري كه به همراه آدرس پست الکترونیکی ذكر شده در بالا به عنوان سندي براي تصديق مدير کل به كار مي رود, توجه كنيد كه در هنگام ايجاد كلمه عبور تا حد امكان سعي كنيد از كلمات نامفهوم استفاده كنيد مانند Fsl25nky45,</div>
    </td>
  </tr>
</table>
<p>&nbsp;</p>

<table border="0" width="100%" cellspacing="0" cellpadding="0" align="center">
  <tr>
    <td align="center"><a href="index.php"><img src="images/button_cancel.gif" border="0" alt="Cancel"></a></td>
    <td align="center"><input type="image" src="images/button_continue.gif" border="0" alt="Continue"></td>
  </tr>
</table>

</form>
