<?php
/*
  $Id: upgrade_3.php,v 1.63 2006/03/21 00:49:41 Farhad zare Exp $

  FarsiCommerce, Open Source E-Commerce
  http://www.persianoc.com/

  Copyright (c) 2005-2006 FarsiCommerce

  Released under the GNU General Public License
*/
?>

<p class="pageTitle">ارتقای نسخه قبلی</p>

<?php
  $db = array();
  $db['DB_SERVER'] = trim(stripslashes($HTTP_POST_VARS['DB_SERVER']));
  $db['DB_SERVER_USERNAME'] = trim(stripslashes($HTTP_POST_VARS['DB_SERVER_USERNAME']));
  $db['DB_SERVER_PASSWORD'] = trim(stripslashes($HTTP_POST_VARS['DB_SERVER_PASSWORD']));
  $db['DB_DATABASE'] = trim(stripslashes($HTTP_POST_VARS['DB_DATABASE']));

  osc_db_connect($db['DB_SERVER'], $db['DB_SERVER_USERNAME'], $db['DB_SERVER_PASSWORD']);
  osc_db_select_db($db['DB_DATABASE']);


  function osc_currency_format($number, $calculate_currency_value = true, $currency_code = DEFAULT_CURRENCY, $value = '') {
    $currency_query = osc_db_query("select symbol_left, symbol_right, decimal_point, thousands_point, decimal_places, value from currencies where code = '" . $currency_code . "'");
    $currency = osc_db_fetch_array($currency_query);

    if ($calculate_currency_value == true) {
      if (strlen($currency_code) == 3) {
        if ($value) {
          $rate = $value;
        } else {
          $rate = $currency['value'];
        }
      } else {
        $rate = 1;
      }
      $number2currency = $currency['symbol_left'] . number_format(($number * $rate), $currency['decimal_places'], $currency['decimal_point'], $currency['thousands_point']) . $currency['symbol_right'];
    } else {
      $number2currency = $currency['symbol_left'] . number_format($number, $currency['decimal_places'], $currency['decimal_point'], $currency['thousands_point']) . $currency['symbol_right'];
    }

    return $number2currency;
  }

  osc_set_time_limit(0);

// send data to the browser, so the flushing works with IE
  for ($i=0; $i<300; $i++) print(' ');
  print ("\n");
?>

<p><span id="newAdmin"><span id="newAdminMarker">-</span> بخش مدیریت</span><br>
<span id="configuration"><span id="configurationMarker">-</span> پيكربندی</span><br>
<span id="currencies"><span id="currenciesMarker">-</span> واحدهای پولی</span><br>
<span id="sb24"><span id="sb24Marker">-</span> ماژول بانک سامان</span><br>
<span id="zones"><span id="zonesMarker">-</span> مناطق و استانها</span><br>
<span id="whosOnline"><span id="whosOnlineMarker">-</span> افراد آنلاين</span></p>

<p>وضعيت: <span id="statusText">در حال آماده شدن</span></p>

<?php flush(); ?>

<script language="javascript"><!--
changeStyle('newAdmin', 'bold');
changeText('newAdminMarker', '?');
changeText('statusText', 'افزودن جداول جدید بخش مدیریت');
//--></script>

<?php
  flush();

  $admin_email = $HTTP_POST_VARS['ADMIN_EMAIL'];
  $admin_pass = osc_encrypt_password($HTTP_POST_VARS['ADMIN_PASS']);

  osc_db_query("CREATE TABLE admin ( admin_id int NOT NULL auto_increment, admin_groups_id int DEFAULT NULL, admin_firstname varchar(64) NOT NULL DEFAULT '', admin_lastname varchar(64) DEFAULT NULL, admin_email_address varchar(255) NOT NULL DEFAULT '', admin_password varchar(40) NOT NULL DEFAULT '', admin_created datetime DEFAULT NULL, admin_modified datetime NOT NULL DEFAULT '0000-00-00 00:00:00', admin_logdate datetime DEFAULT NULL, admin_lognum int NOT NULL DEFAULT '0', PRIMARY KEY  (admin_id), UNIQUE KEY admin_email_address (admin_email_address) )");
  osc_db_query("CREATE TABLE admin_files ( admin_files_id int NOT NULL auto_increment, admin_files_name varchar(64) NOT NULL DEFAULT '', admin_files_is_boxes tinyint(5) NOT NULL DEFAULT '0', admin_files_to_boxes int NOT NULL DEFAULT '0', admin_groups_id set('1','2') NOT NULL DEFAULT '1', PRIMARY KEY  (admin_files_id) )");
  osc_db_query("CREATE TABLE admin_groups ( admin_groups_id int NOT NULL auto_increment, admin_groups_name varchar(64) DEFAULT NULL, PRIMARY KEY  (admin_groups_id), UNIQUE KEY admin_groups_name (admin_groups_name) )");

  osc_db_query("INSERT INTO admin VALUES (1, 1, 'AdminFirstname', 'AdminLastname', '" . $admin_email . "', '" . $admin_pass . "', now(), '0000-00-00 00:00:00', null, 0);");

  osc_db_query("INSERT INTO admin_files VALUES (1, 'administrator.php', 1, 0, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (2, 'configuration.php', 1, 0, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (3, 'catalog.php', 1, 0, '1,18')");
  osc_db_query("INSERT INTO admin_files VALUES (4, 'modules.php', 1, 0, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (5, 'customers.php', 1, 0, '1,18')");
  osc_db_query("INSERT INTO admin_files VALUES (6, 'taxes.php', 1, 0, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (7, 'localization.php', 1, 0, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (8, 'reports.php', 1, 0, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (9, 'tools.php', 1, 0, '1,18')");
  osc_db_query("INSERT INTO admin_files VALUES (10, 'admin_members.php', 0, 1, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (11, 'admin_files.php', 0, 1, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (12, 'configuration.php', 0, 2, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (13, 'categories.php', 0, 3, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (14, 'products_attributes.php', 0, 3, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (15, 'manufacturers.php', 0, 3, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (16, 'reviews.php', 0, 3, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (17, 'specials.php', 0, 3, '1,18')");
  osc_db_query("INSERT INTO admin_files VALUES (18, 'products_expected.php', 0, 3, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (19, 'modules.php', 0, 4, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (20, 'customers.php', 0, 5, '1,18')");
  osc_db_query("INSERT INTO admin_files VALUES (21, 'orders.php', 0, 5, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (22, 'countries.php', 0, 6, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (23, 'zones.php', 0, 6, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (24, 'geo_zones.php', 0, 6, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (25, 'tax_classes.php', 0, 6, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (26, 'tax_rates.php', 0, 6, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (27, 'currencies.php', 0, 7, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (28, 'languages.php', 0, 7, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (29, 'orders_status.php', 0, 7, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (30, 'stats_products_viewed.php', 0, 8, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (31, 'stats_products_purchased.php', 0, 8, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (32, 'stats_customers.php', 0, 8, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (33, 'backup.php', 0, 9, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (34, 'banner_manager.php', 0, 9, '1,18')");
  osc_db_query("INSERT INTO admin_files VALUES (35, 'cache.php', 0, 9, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (36, 'define_language.php', 0, 9, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (37, 'file_manager.php', 0, 9, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (38, 'mail.php', 0, 9, '1,18')");
  osc_db_query("INSERT INTO admin_files VALUES (39, 'newsletters.php', 0, 9, '1,18')");
  osc_db_query("INSERT INTO admin_files VALUES (40, 'server_info.php', 0, 9, '1')");
  osc_db_query("INSERT INTO admin_files VALUES (41, 'whos_online.php', 0, 9, '1,18')");
  osc_db_query("INSERT INTO admin_files VALUES (42, 'banner_statistics.php', 0, 9, '1,18')");
  osc_db_query("INSERT INTO admin_groups VALUES (1, 'مدیر کل')");
  osc_db_query("INSERT INTO admin_groups VALUES (2, 'ارتباط با مشتری')");
?>
<script language="javascript"><!--
changeStyle('newAdmin', 'normal');
changeText('newAdminMarker', '*');
changeText('statusText', 'جداول جدید بخش مدیریت... ایجاد شد!');

changeStyle('configuration', 'bold');
changeText('configurationMarker', '?');
changeText('statusText', 'بروزرسانی پيكربندی');
//--></script>

<?php
  flush();

  osc_db_query("UPDATE configuration SET configuration_value = 'IRR' WHERE configuration_key = 'DEFAULT_CURRENCY'");

?>

<script language="javascript"><!--
changeStyle('configuration', 'normal');
changeText('configurationMarker', '*');
changeText('statusText', 'بروزرسانی پيكربندی... انجام شد!');

changeStyle('currencies', 'bold');
changeText('currenciesMarker', '?');
changeText('statusText', 'بروزرسانی واحدهای پولی');
//--></script>

<?php
  flush();

  osc_db_query("UPDATE currencies SET code = 'IRR' WHERE currencies_id = '3'");
  osc_db_query("UPDATE currencies SET value = '0.00010948' WHERE code = 'USD'");
  osc_db_query("INSERT INTO currencies VALUES (2, 'یورو', 'EUR', '', 'EUR', '.', ',', '2', '0.00008936', now())");

?>

<script language="javascript"><!--
changeStyle('currencies', 'normal');
changeText('currenciesMarker', '*');
changeText('statusText', 'بروزرسانی واحدهای پولی... انجام شد!');

changeStyle('sb24', 'bold');
changeText('sb24Marker', '?');
changeText('statusText', 'بروزرسانی واحدهای پولی');
//--></script>

<?php
  flush();

  osc_db_query("CREATE TABLE sb24_ereceipt ( id int NOT NULL auto_increment, orderid int NOT NULL, amount decimal(15,4) NOT NULL, refer_number varchar(20) NOT NULL, verify varchar(10) default NULL, return tinyint(1) NOT NULL default '0', used tinyint(1) NOT NULL default '0', PRIMARY KEY (id) )");
  osc_db_query("CREATE TABLE sb24_reservation ( id int NOT NULL auto_increment, orderid int NOT NULL, amount decimal(15,4) NOT NULL, res_number varchar(32) NOT NULL, PRIMARY KEY  (`id`) )");
  osc_db_query("CREATE TABLE sb24_returnlog ( id int NOT NULL auto_increment, erid int NOT NULL, ret_amount decimal(15,4) NOT NULL, error int(7) NOT NULL default '0', PRIMARY KEY  (`id`) )");

?>

<script language="javascript"><!--
changeStyle('sb24', 'normal');
changeText('sb24Marker', '*');
changeText('statusText', 'بروزرسانی واحدهای پولی... انجام شد!');

changeStyle('zones', 'bold');
changeText('zonesMarker', '?');
changeText('statusText', 'بروزرسانی مناطق و استانها');
//--></script>

<?php
  flush();

  osc_db_query("DELETE FROM zones WHERE zone_country_id = '101'");

  osc_db_query("INSERT INTO zones VALUES(79, 101, 'EA', 'آذربایجان شرقی')");
  osc_db_query("INSERT INTO zones VALUES(80, 101, 'WA', 'آذربایجان غربی')");
  osc_db_query("INSERT INTO zones VALUES(81, 101, 'AR', 'اردبيل')");
  osc_db_query("INSERT INTO zones VALUES(82, 101, 'ES', 'اصفهان')");
  osc_db_query("INSERT INTO zones VALUES(83, 101, 'IL', 'ايلام')");
  osc_db_query("INSERT INTO zones VALUES(84, 101, 'BS', 'بوشهر')");
  osc_db_query("INSERT INTO zones VALUES(85, 101, 'TH', 'تهران')");
  osc_db_query("INSERT INTO zones VALUES(86, 101, 'CB', 'چهارمحال و بختیاری')");
  osc_db_query("INSERT INTO zones VALUES(87, 101, 'KZ', 'خوزستان')");
  osc_db_query("INSERT INTO zones VALUES(88, 101, 'KR', 'خراسان رضوی')");
  osc_db_query("INSERT INTO zones VALUES(89, 101, 'KS', 'خراسان شمالی')");
  osc_db_query("INSERT INTO zones VALUES(90, 101, 'KJ', 'خراسان جنوبی')");
  osc_db_query("INSERT INTO zones VALUES(91, 101, 'ZN', 'زنجان')");
  osc_db_query("INSERT INTO zones VALUES(92, 101, 'SM', 'سمنان')");
  osc_db_query("INSERT INTO zones VALUES(93, 101, 'SB', 'سيستان و بلوچستان')");
  osc_db_query("INSERT INTO zones VALUES(94, 101, 'FA', 'فارس')");
  osc_db_query("INSERT INTO zones VALUES(95, 101, 'GM', 'قم')");
  osc_db_query("INSERT INTO zones VALUES(96, 101, 'GZ', 'قزوين')");
  osc_db_query("INSERT INTO zones VALUES(97, 101, 'KB', 'كهگيلويه و بويراحمد')");
  osc_db_query("INSERT INTO zones VALUES(98, 101, 'KN', 'كرمان')");
  osc_db_query("INSERT INTO zones VALUES(99, 101, 'KH', 'كرمانشاه')");
  osc_db_query("INSERT INTO zones VALUES(100, 101, 'KD', 'كردستان')");
  osc_db_query("INSERT INTO zones VALUES(101, 101, 'GS', 'گلستان')");
  osc_db_query("INSERT INTO zones VALUES(102, 101, 'GL', 'گيلان')");
  osc_db_query("INSERT INTO zones VALUES(103, 101, 'LR', 'لرستان')");
  osc_db_query("INSERT INTO zones VALUES(104, 101, 'MA', 'مازندران')");
  osc_db_query("INSERT INTO zones VALUES(105, 101, 'MR', 'مرکزی')");
  osc_db_query("INSERT INTO zones VALUES(106, 101, 'HM', 'همدان')");
  osc_db_query("INSERT INTO zones VALUES(107, 101, 'HN', 'هرمزگان')");
  osc_db_query("INSERT INTO zones VALUES(108, 101, 'YZ', 'يزد')");

?>

<script language="javascript"><!--
changeStyle('zones', 'normal');
changeText('zonesMarker', '*');
changeText('statusText', 'بروزرسانی مناطق و استانها... انجام شد!');

changeStyle('whosOnline', 'bold');
changeText('whosOnlineMarker', '?');
changeText('statusText', 'بروزرسانی افراد آنلاين');
//--></script>

<?php
  flush();

  osc_db_query("DELETE * FROM whos_online");
  osc_db_query("ALTER TABLE whos_online DROP COLUMN last_page_url");
  osc_db_query("ALTER TABLE whos_online ADD last_page_url varchar(255) NOT NULL");

?>

<script language="javascript"><!--
changeStyle('whosOnline', 'normal');
changeText('whosOnlineMarker', '*');
changeText('statusText', 'بروزرسانی افراد آنلاين... انجام شد!');

changeStyle('statusText', 'bold');
changeText('statusText', 'بروزرسانی تمام شد!');
//--></script>

<?php flush(); ?>

<p>مراحل ارتقای پايگاه داده با موفقيت به پايان رسيد!</p>
