<?php
/*
  $Id: install_4.php,v 1.11 2003/07/11 14:59:01 hpdl & Farhad zare Exp $

  FarsiCommerce, Open Source E-Commerce
  http://www.persianoc.com/
  http://www.oscommerce.com/

  Copyright (c) 2005-2006 FarsiCommerce

  Released under the GNU General Public License
*/

  $cookie_path = substr(dirname(getenv('SCRIPT_NAME')), 0, -7);

  $www_location = 'http://' . getenv('HTTP_HOST') . getenv('SCRIPT_NAME');
  $www_location = substr($www_location, 0, strpos($www_location, 'install'));

  $script_filename = getenv('PATH_TRANSLATED');
  if (empty($script_filename)) {
    $script_filename = getenv('SCRIPT_FILENAME');
  }

  $script_filename = str_replace('\\', '/', $script_filename);
  $script_filename = str_replace('//', '/', $script_filename);

  $dir_fs_www_root_array = explode('/', dirname($script_filename));
  $dir_fs_www_root = array();
  for ($i=0, $n=sizeof($dir_fs_www_root_array)-1; $i<$n; $i++) {
    $dir_fs_www_root[] = $dir_fs_www_root_array[$i];
  }
  $dir_fs_www_root = implode('/', $dir_fs_www_root) . '/';
?>
<p class="pageTitle">نصب كننده نسخه جديد</p>

<p><b>پيكربندي FarsiCommerce</b></p>

<form name="install" action="install.php?step=5" method="post">

<p><b>لطفا اطلاعات مربوط به وب سرور خود را وارد كنيد:</b></p>

<table width="95%" border="0" cellpadding="2" class="formPage">
  <tr>
    <td width="30%" valign="top">آدرس WWW:</td>
    <td width="70%" class="smallDesc">
      <?php echo '<span dir="ltr">' . osc_draw_input_field('HTTP_WWW_ADDRESS', $www_location) . '</span>'; ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbWWW');"><br>
      <div id="dbWWWSD">آدرس كامل سايت براي فروشگاه آنلاين</div>
      <div id="dbWWW" class="longDescription">آدرس وب مخصوص فروشگاه اينترنتي شما,<br> به عنوان مثال <i><span dir="ltr">http://www.my-server.com/catalog/</span></i></div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">دايركتوري ريشه وب سرور:</td>
    <td width="70%" class="smallDesc">
      <?php echo '<span dir="ltr">' . osc_draw_input_field('DIR_FS_DOCUMENT_ROOT', $dir_fs_www_root) . '</span>'; ?>
      <img src="images/layout/help_icon.gif"  onClick="toggleBox('dbRoot');"><br>
      <div id="dbRootSD">مسيري برروي سرور كه فروشگاه در آنجا  واقع شده است.</div>
      <div id="dbRoot" class="longDescription">پوشه اي كه  FarsiCommerce را برروي سرور درآنجا نصب كرده ايد,<br> براي مثال <i><span dir"ltr">/home/myname/public_html/FarsiCommerce/</span></i></div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">نام دامنه HTTP Cookie:</td>
    <td width="70%" class="smallDesc">
      <?php echo '<span dir="ltr">' . osc_draw_input_field('HTTP_COOKIE_DOMAIN', getenv('HTTP_HOST')) . '</span>'; ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbCookieD');"><br>
      <div id="dbCookieDSD">نام دامنه اي براي cookieهاي فروشگاه</div>
      <div id="dbCookieD" class="longDescription">نام كامل يا تركيبي از دامنه براي cookieهاي فروشگاه, به عنوان مثال <i><span dir="ltr">.my-server.com</span></i></div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">مسير HTTP Cookie:</td>
    <td width="70%" class="smallDesc">
      <?php echo '<span dir="ltr">' . osc_draw_input_field('HTTP_COOKIE_PATH', $cookie_path) . '</span>'; ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbCookieP');"><br>
      <div id="dbCookiePSD">مسير براي قرار گرفتن cookieهاي فروشگاه زيرآن</div>
      <div id="dbCookieP" class="longDescription">آدرس وبي براي اينكه cookie فروشگاه تنها محدود به آن آدرس باشد, براي مثال <i>/catalog/</i></div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">فعال كردن ارتباط SSL:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_checkbox_field('ENABLE_SSL', 'true'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbSSL');"><br>
      <div id="dbSSLSD"></div>
      <div id="dbSSL" class="longDescription">فعال كردن ارتباط امنيتي SSL/HTTPS (لازم مي باشد كه برروي سرور يك گواهينامه امنيتي نصب شده باشد)</div>
    </td>
  </tr>
</table>

<p>&nbsp;</p>

<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center"><a href="index.php"><img src="images/button_cancel.gif" border="0" alt="Cancel"></a></td>
    <td align="center"><input type="image" src="images/button_continue.gif" border="0" alt="Continue"></td>
  </tr>
</table>

<?php
  reset($HTTP_POST_VARS);
  while (list($key, $value) = each($HTTP_POST_VARS)) {
    if (($key != 'x') && ($key != 'y')) {
      if (is_array($value)) {
        for ($i=0; $i<sizeof($value); $i++) {
          echo osc_draw_hidden_field($key . '[]', $value[$i]);
        }
      } else {
        echo osc_draw_hidden_field($key, $value);
      }
    }
  }

  echo osc_draw_hidden_field('install[]', 'configure');
?>

</form>
