<?php
/*
  $Id: install_6.php,v 1.3 2006/03/16 17:19:01 hpdl & Farhad zare Exp $

  FarsiCommerce, Open Source E-Commerce
  http://www.persianoc.com/
  http://www.oscommerce.com/

  Copyright (c) 2005-2006 FarsiCommerce

  Released under the GNU General Public License
*/
?>
<p class="pageTitle">نصب كننده نسخه جديد</p>

<p><b>تائيد پيكربندي FarsiCommerce</b></p>

<form name="install" action="install.php?step=7" method="post">

<table width="95%" border="0" cellpadding="2" class="formPage">
  <tr>
    <td width="30%" valign="top">سرور پايگاه داده:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('DB_SERVER'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbHost');"><br>
      <div id="dbHostSD">نام ميزبان يا آدرس IP سرور پايگاه داده</div>
      <div id="dbHost" class="longDescription">نام سرور پايگاه داده مي تواند به صورت نام يك ميزبان باشد, مانند db1.myserver.com, يا از يك آدرس IP بهره بگيرد, مانند 192.168.0.1</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">نام كاربري:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('DB_SERVER_USERNAME'); ?>
      <img src="images/layout/help_icon.gif"  onClick="toggleBox('dbUser');"><br>
      <div id="dbUserSD">نام كاربري پايگاه داده</div>
      <div id="dbUser" class="longDescription">نام كاربري كه براي ارتباط با پايگاه داده استفاده خواهد شد. به عنوان مثال 'mysql_10'.<br><br>توجه: <b>لازم نيست</b> كه نام كاربري كه در اين قسمت استفاده مي كنيد حق دسترسي براي حذف و ايجاد پايگاه داده داشته باشد.</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">كلمه عبور:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_password_field('DB_SERVER_PASSWORD'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbPass');"><br>
      <div id="dbPassSD">كلمه عبور پايگاه داده</div>
      <div id="dbPass" class="longDescription">كلمه عبوري كه به همراه نام كاربري خود به كار مي بريد, كه اين دو باهم اجازه دسترسي شما به پايگاه داده را تامين مي كنند.</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">نام پايگاه داده:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('DB_DATABASE'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbName');"><br>
      <div id="dbNameSD">نام پايگاه داده</div>
      <div id="dbName" class="longDescription">پايگاه داده اي كه براي ذخيره اطلاعات استفاده مي كنيد. به عنوان مثال مي تواند به صورت 'FarsiCommerce' باشد.</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">ارتباطات ثابت:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_checkbox_field('USE_PCONNECT', 'true'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbConn');"><br>
      <div id="dbConnSD"></div>
      <div id="dbConn" class="longDescription">فعال كردن حالت ارتباط ثابت با پايگاه داده.<br><br>توجه: ارتباط ثابت در سرورهاي اشتراكي بايد غيرفعال باشد.</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">ذخيره سازي Session:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_radio_field('STORE_SESSIONS', 'files', (isset($HTTP_POST_VARS['STORE_SESSIONS']) ? '' : true)); ?>&nbsp;فايلها&nbsp;&nbsp;<?php echo osc_draw_radio_field('STORE_SESSIONS', 'mysql'); ?>&nbsp;پايگاه داده&nbsp;&nbsp;
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbSess');"><br>
      <div id="dbSessSD"></div>
      <div id="dbSess" class="longDescription">انبار كردن اطلاعات session كاربر در فايلها برروي سرور, با در پايگاه داده.<br><br>توجه: به علت مسائل امنيتي, در سرورهاي اشتراكي استفاده از حالت پايگاه داده پيشنهاد مي شود .</td></div>
    </td>
  </tr>
</table>

<?php // Admin Information form ?>
<p><b>اطلاعات ورود به بخش مديريت</b></p>
<table width="95%" border="0" cellpadding="2" class="formPage">
  <tr>
    <td width="30%" valign="top">پست الکترونیکی مدیر:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('ADMIN_EMAIL'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('adminuser');"><br>
      <div id="adminuserSD">پست الکترونیکی مدیر کل</div>
      <div id="adminuser" class="longDescription">شما از این آدرس پست الکترونیکی برای ورود به بخش مدیریت فروشگاه استفاده خواهید کرد. سعی کنید از آدرس پست الکترونیکی استفاده کنید که دائما آن را بررسی می‌کنید.</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">كلمه عبور مدير:</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_password_field('ADMIN_PASS'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('adminpass');"><br>
      <div id="adminpassSD">کلمه عبور مدیر کل</div>
      <div id="adminpass" class="longDescription">كلمه عبوري كه به همراه آدرس پست الکترونیکی ذكر شده در بالا به عنوان سندي براي تصديق مدير کل به كار مي رود, توجه كنيد كه در هنگام ايجاد كلمه عبور تا حد امكان سعي كنيد از كلمات نامفهوم استفاده كنيد مانند Fsl25nky45,</div>
    </td>
  </tr>
</table>
<p>&nbsp;</p>
<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center"><a href="index.php"><img src="images/button_cancel.gif" border="0" alt="Cancel"></a></td>
    <td align="center"><input type="image" src="images/button_continue.gif" border="0" alt="Continue"></td>
  </tr>
</table>

<?php
  reset($HTTP_POST_VARS);
  while (list($key, $value) = each($HTTP_POST_VARS)) {
    if (($key != 'x') && ($key != 'y') && ($key != 'DB_SERVER') && ($key != 'DB_SERVER_USERNAME') && ($key != 'DB_SERVER_PASSWORD') && ($key != 'DB_DATABASE') && ($key != 'USE_PCONNECT') && ($key != 'STORE_SESSIONS') && ($key != 'ADMIN_EMAIL') && ($key != 'ADMIN_PASS')) {
      if (is_array($value)) {
        for ($i=0; $i<sizeof($value); $i++) {
          echo osc_draw_hidden_field($key . '[]', $value[$i]);
        }
      } else {
        echo osc_draw_hidden_field($key, $value);
      }
    }
  }
?>

</form>
