<?php
/*
  $Id: upgrade_2.php,v 1.3 2006/03/21 00:35:07 hpdl & Farhad zare Exp $

  FarsiCommerce, Open Source E-Commerce
  http://www.persianoc.com/
  http://www.oscommerce.com/

  Copyright (c) 2005-2006 FarsiCommerce

  Released under the GNU General Public License
*/
?>

<p class="pageTitle">ارتقا نسخه قبلی</p>

<?php
  $db = array();
  $db['DB_SERVER'] = trim(stripslashes($HTTP_POST_VARS['DB_SERVER']));
  $db['DB_SERVER_USERNAME'] = trim(stripslashes($HTTP_POST_VARS['DB_SERVER_USERNAME']));
  $db['DB_SERVER_PASSWORD'] = trim(stripslashes($HTTP_POST_VARS['DB_SERVER_PASSWORD']));
  $db['DB_DATABASE'] = trim(stripslashes($HTTP_POST_VARS['DB_DATABASE']));

  $db_error = false;
  osc_db_connect($db['DB_SERVER'], $db['DB_SERVER_USERNAME'], $db['DB_SERVER_PASSWORD']);

  if ($db_error == false) {
    osc_db_test_create_db_permission($db['DB_DATABASE']);
  }
  
  $admin_email = trim($HTTP_POST_VARS['ADMIN_EMAIL']);
  $admin_pass = $HTTP_POST_VARS['ADMIN_PASS'];
  
  $admin_error = false;
  if (!osc_validate_email($admin_email)) {
  	$admin_error = "آدرس پست‌الکترونیکی مدیر غیرمعتبر می‌باشد.";
  } else {
  	if (strlen($admin_pass) < 4) {
  	  $admin_error = "کلمه عبور مدیر باید حداقل 4 کاراکتر طول داشته باشد.";
  	} else {
  	  $admin_pass = osc_encrypt_password($admin_pass);
  	}
  }

  if ($db_error != false) {
?>

<form name="upgrade" action="upgrade.php" method="post">

<table width="95%" border="0" cellpadding="2" class="formPage">
  <tr>
    <td>
      <p>اتصال آزمايشی به پايگاه داده با موفقيت انجام  <b>نشد</b>.</p>
      <p>پيام خطای برگشت داده شده عبارت است از:</p>
      <p class="boxme"><?php echo $db_error; ?></p>
      <p>لطفا برروی دكمه <i>برگشت</i> كليك كنيد تا اطلاعات سرور پايگاه داده شما دوباره نمايش داده شود.</p>
      <p>اگر شما نياز به راهنمايی درباره اطلاعات پايگاه داده داريد, لطفا با شركت ميزبانی كننده سايت خود تماس بگيريد.</p>
    </td>
  </tr>
</table>

<p>&nbsp;</p>

<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center"><a href="index.php"><img src="images/button_cancel.gif" border="0" alt="Cancel"></a></td>
    <td align="center"><input type="image" src="images/button_back.gif" border="0" alt="Back"></td>
  </tr>
</table>

<?php
    reset($HTTP_POST_VARS);
    while (list($key, $value) = each($HTTP_POST_VARS)) {
      if ($key != 'x' && $key != 'y') {
        if (is_array($value)) {
          for ($i=0; $i<sizeof($value); $i++) {
            echo osc_draw_hidden_field($key . '[]', $value[$i]);
          }
        } else {
          echo osc_draw_hidden_field($key, $value);
        }
      }
    }
?>

</form>

<?php
  } elseif ($admin_error != false) {
?>

<form name="upgrade" action="upgrade.php" method="post">

<table width="95%" border="0" cellpadding="2" class="formPage">
  <tr>
    <td>
      <br>
      <p>مقادیر وارد شده برای استفاده در بخش مدیریت فروشگاه معتبر نمی‌باشند. لطفا برروی کلید برگشت کلیک کرده و خطای زیر را اصلاح کنید تا بتوانید مراحل ارتقا را با موفقیت به اتمام برسانید.</p>
      <p>خطای ایجاد شده:</p>
      <p class="boxme"><?php echo $admin_error; ?></p>
      <br>
    </td>
  </tr>
</table>

<p>&nbsp;</p>

<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center"><a href="index.php"><img src="images/button_cancel.gif" border="0" alt="Cancel"></a></td>
    <td align="center"><input type="image" src="images/button_back.gif" border="0" alt="Back"></td>
  </tr>
</table>

<?php
    reset($HTTP_POST_VARS);
    while (list($key, $value) = each($HTTP_POST_VARS)) {
      if ($key != 'x' && $key != 'y') {
        if (is_array($value)) {
          for ($i=0; $i<sizeof($value); $i++) {
            echo osc_draw_hidden_field($key . '[]', $value[$i]);
          }
        } else {
          echo osc_draw_hidden_field($key, $value);
        }
      }
    }
?>

</form>

<?php
  } else {
?>

<form name="upgrade" action="upgrade.php?step=3" method="post">

<table width="95%" border="0" cellpadding="2" class="formPage">
  <tr>
    <td>
      <p>اتصال آزمايشی به پايگاه داده با موفقيت انجام <b>شد</b>.</p>
      <p>لطفا برروی كليد ادامه كليك كنيد تا مراحل ارتقای پايگاه داده ادامه پيدا كند.</p>
      <p>اين مسئله خيلی مهم است كه اين مرحله از ارتقا به هيچ وجه قطع نشود, وگرنه مراحل ارتقا پايگاه داده به صورت نادرست به پايان می رسد.</p>
    </td>
  </tr>
</table>

<p>&nbsp;</p>

<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center"><a href="index.php"><img src="images/button_cancel.gif" border="0" alt="Cancel"></a></td>
    <td align="center"><input type="image" src="images/button_continue.gif" border="0" alt="Continue"></td>
  </tr>
</table>

<?php
    reset($HTTP_POST_VARS);
    while (list($key, $value) = each($HTTP_POST_VARS)) {
      if ($key != 'x' && $key != 'y') {
        if (is_array($value)) {
          for ($i=0; $i<sizeof($value); $i++) {
            echo osc_draw_hidden_field($key . '[]', $value[$i]);
          }
        } else {
          echo osc_draw_hidden_field($key, $value);
        }
      }
    }
?>

</form>

<?php
  }
?>
